<?php
/*
Plugin Name: Recent News List
Plugin URI: 
Description: This Plugin used to Post and display the News and Information list. Admin have option to upload the news and we can display the news in user side using short code.
Version: 1.0
Author: Rajmahendran P
Author URI: http://www.startwpnow.blogspot.in
License: GPL2
*/

 add_action('init', 'raj_news_post_type_registration');
 
 add_action('init', 'raj_add_news_category');
 
 function raj_news_post_type_registration() {
 
 	$labels = array(
 		'name' => _x('Recent Updates', 'post type general name'),
 		'singular_name' => _x('Recent Updates', 'post type singular name'),
 		'add_new' => _x('Add Recent Updates', 'RFP'),
 		'add_new_item' => __('Add New Recent Updates'),
 		'edit_item' => __('Edit Recent Updates'),
 		'new_item' => __('New Recent Updates'),
 		'all_items' => __('All Recent Updates'),
 		'view_item' => __('View Recent Updates'),
 		'search_items' => __('Search Recent Updates'),
 		'not_found' =>  __('No Recent Updates found'),
 		'not_found_in_trash' => __('No Recent Updates found in Trash'), 
 		'parent_item_colon' => '',
 		'menu_name' => __('Recent Updates')
 
 	  );
 	$args = array(
 		'labels' => $labels,
 		'public' => true,
 		'publicly_queryable' => true,
 		'show_ui' => true, 
 		'show_in_menu' => true, 
 		'query_var' => true,
 		'rewrite' => true,
 		'capability_type' => 'post',
 		'has_archive' => true, 
 		'hierarchical' => false,
 		'menu_position' => null,
 		'supports' => array( 'title', 'editor', 'author' )
 	);	  
 
	register_post_type( 'recent_update_news', $args );
 }
 
 function raj_add_news_category() {
 
  // Add new taxonomy, make it hierarchical (like categories)
   $labels = array(
     'name' => _x( 'Categories', 'taxonomy general name' ),
     'singular_name' => _x( 'Categorie', 'taxonomy singular name' ),
     'search_items' =>  __( 'Search Categorie' ),
     'all_items' => __( 'All Categorie' ),
     'parent_item' => __( 'Parent Categorie' ),
     'parent_item_colon' => __( 'Parent Categorie:' ),
     'edit_item' => __( 'Edit Categorie' ), 
     'update_item' => __( 'Update Categorie' ),
     'add_new_item' => __( 'Add New Categorie' ),
     'new_item_name' => __( 'New Categorie Name' ),
     'menu_name' => __( 'Categorie' ),
   ); 	
 
   register_taxonomy('categorie',news, array(
     'hierarchical' => true,
     'labels' => $labels,
     'show_ui' => true,
     'query_var' => true,
     'rewrite' => array( 'slug' => 'categorie' ),
  ));
 
 }
  
 
 function recent_news_updates_fun( $atts ){
 
 
		 /*
			extract( shortcode_atts( array(
				'foo' => 'something',
				'bar' => 'something else',
			), $atts ) );
		*/
		if( $atts['count'] > 0) {
			
			$display_count = $atts['count'];		
		} else {
		
			$display_count = 10;			
		}
	
	  
		$args = array( 'post_type' => 'recent_update_news', 'posts_per_page' => $display_count );
		$loop = new WP_Query( $args );

		while ( $loop->have_posts() ) : $loop->the_post();
			echo '<h3><a href="'.get_permalink().'">' . get_the_title() . '</a></h3>' . get_the_date();
			echo '<p>' . get_the_content() . '</p>';
			echo '<p>&nbsp;</p>';
		endwhile;

 }
 add_shortcode( 'recent_news_updates', 'recent_news_updates_fun' );